﻿using System;
using System.Windows.Forms;
using System.Reflection;

namespace GetPeData
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // プラットフォームのポインタサイズを取得する 
            String str = null;
            str = str + "IntPtr.Size=" + System.IntPtr.Size.ToString() + "\r\n";

            // 現在実行中のアセンブリを構成するモジュールコレクションを取得する 
            Module[] moduleArray = Assembly.GetExecutingAssembly().GetModules();

            // モジュールを列挙する 
            foreach (Module md in moduleArray)
            {
                // モジュールのアセンブリ名を取得する 
                Assembly myAssembly = md.Assembly;
                str = str + "Asm=" + myAssembly.FullName + "\r\n";

                // モジュール(EXE/DLL) がもつ属性を取得する 
                PortableExecutableKinds pekind = new PortableExecutableKinds();
                ImageFileMachine ifm = new ImageFileMachine();
                md.GetPEKind(out pekind, out ifm);

                str = str + "pekind =" + pekind.ToString() + "\r\n";
                str = str + "ImageFileMachine=" + ifm.ToString() + "\r\n";
                textBox1.Text = str;
            }
            long i;
            Double x = Math.Sqrt(2);
            Double y = Math.PI;
            Double z;
            this.dateTimePicker1.Format = DateTimePickerFormat.Time;
            this.dateTimePicker1.ShowUpDown = true;
            for (i = 0; i < 1000000000; i++)
            {
                z = x + y;
                z = y - x;
                z = x * y;
                z = x / y;
            }
            this.dateTimePicker2.Format = DateTimePickerFormat.Time;
            this.dateTimePicker2.ShowUpDown = true;
        }
    }
}
